RIM has announced that they are now requiring all BlackBerry users running a version of BlackBerry App World older than version 2.0 to upgrade to the latest version. This is a requirement to anyone that still running version 1.1 or older. Here’s some of the quotes from the Inside BlackBerry blog post:

Starting tonight, existing BlackBerry App World 1.1 users will be required to upgrade to the latest version of BlackBerry App World. This upgrade will affect only a small percentage of current BlackBerry App World users.

As of April 8, when you attempt to access the BlackBerry App World client on your BlackBerry smartphone, you will receive the following message: “You must upgrade your client in order to continue”.

Version 2.1 of App World includes the following improvements and feature enhancements :

  • BlackBerry® ID account syncing
  • Carrier billing (dependent upon user region and carrier), credit card, PayPal® payment support
  • Improved navigation with Top 25 lists and enhanced application carousel
  • App barcode scanning support
  • In-app payment support

If you’re still running a version of BlackBerry App World that’s older than 2.0 you can get the latest version by going to blackberry.com/appworld through your BlackBerry browser.